IPB

Welcome Guest ( Log In | Register )

2 Pages V   1 2 >  
Reply to this topicStart new topic
foo_dsp_winamp, Winamp DSP Bridge
Stahn
post Oct 16 2006, 19:55
Post #1





Group: Members
Posts: 2
Joined: 7-October 06
Member No.: 36043



http://pelit.koillismaa.fi/plugins/dsp.php#149

This one stopped working for me in latest foobar2000 version (0.9.4.1)

Any clues?

- Edit -

Opps, my bad, it works now. I had all my presets deleted, so this one didn't worked also. Now it's all right.

This post has been edited by Stahn: Oct 16 2006, 20:04
Go to the top of the page
+Quote Post
CannibalZerg
post Dec 5 2008, 23:56
Post #2





Group: Members
Posts: 12
Joined: 31-July 06
From: Ukraine
Member No.: 33468



New recompiled version of foo_dsp_winamp for fb2k 0.9.6 is available: http://fb2k.org/show.php?id=149

Please send your bugreports (if any) via fb2k.org feedback.

P.S. VST Bridge (foo_dsp_vst) will NOT be recompiled in recent time. Only new version will be released after cristmas hollidays (January 10th-20th).
Go to the top of the page
+Quote Post
riverdog
post Dec 6 2008, 17:31
Post #3





Group: Members
Posts: 2
Joined: 25-December 07
Member No.: 49840



QUOTE (CannibalZerg @ Dec 5 2008, 23:56) *
New recompiled version of foo_dsp_winamp for fb2k 0.9.6 is available: http://fb2k.org/show.php?id=149

Please send your bugreports (if any) via fb2k.org feedback.

P.S. VST Bridge (foo_dsp_vst) will NOT be recompiled in recent time. Only new version will be released after cristmas hollidays (January 10th-20th).


Hi

I get the following error running Foobar2k (v0.9.6) in Windows Vista Home Premium

This component is not compatible with this version of Windows and needs to be recompiled with a newer version of the foobar2000 SDK; please contact the author of this component to obtain an updated version of this component.

Best,
Shamsur
Go to the top of the page
+Quote Post
CannibalZerg
post Dec 13 2008, 19:02
Post #4





Group: Members
Posts: 12
Joined: 31-July 06
From: Ukraine
Member No.: 33468



riverdog , check that you have version 1.4.3 of foo_dsp_winamp.dll (Preferencies->Components). In Vista Business it works fine.
Go to the top of the page
+Quote Post
CannibalZerg
post Jan 27 2009, 20:10
Post #5





Group: Members
Posts: 12
Joined: 31-July 06
From: Ukraine
Member No.: 33468



New version 1.4.4 is available at http://fb2k.org/show.php?id=149

Fixed FB2K startup crash, when latest dsp_sps.dll presents in ".....Winamp\Plugin" folder.
Go to the top of the page
+Quote Post
Melomane
post Feb 22 2009, 10:54
Post #6





Group: Members
Posts: 643
Joined: 13-January 03
From: Marseille
Member No.: 4552



thank you, now wait for updated foo_dps_vst

melomane


--------------------
Music is my first love.
Go to the top of the page
+Quote Post
bubbleguuum
post Feb 22 2009, 12:47
Post #7





Group: Developer
Posts: 1112
Joined: 13-November 05
Member No.: 25748



thanks for the update
Go to the top of the page
+Quote Post
CannibalZerg
post Apr 18 2009, 18:12
Post #8





Group: Members
Posts: 12
Joined: 31-July 06
From: Ukraine
Member No.: 33468



New version 1.4.5 is available at http://fb2k.org/show.php?id=149

Fixed FB2K startup crash in Vista, when newest Winamp plugins (not compatible with winamp 2.0) presents in ".....Winamp\Plugin" folder (such as dsp_sps.dll).

Thanks to Peter for reports database.

Additional information is available on Wiki:
http://wiki.hydrogenaudio.org/index.php?ti...o_dsp_winamp%29

This post has been edited by CannibalZerg: Apr 20 2009, 00:18
Go to the top of the page
+Quote Post
chamber32
post Aug 2 2009, 14:07
Post #9





Group: Members
Posts: 38
Joined: 18-February 06
From: Bridge Creek, OK
Member No.: 27852



I just did a reinstall of Windows 7 and copied all my foobar2000 configuration over, but now I can't get any Winamp DSPs to show up in the list in the config dialog.
Specifically, I'm trying to run DFX, have repeatedly tried browsing to the Winamp plugins folder & rescanning, but to no avail.
Any ideas?

Thanks,

c32


--------------------
http://www.thinkgeek.com/brain/gimme.cgi?wid=81d303534
Go to the top of the page
+Quote Post
chamber32
post Aug 7 2009, 02:00
Post #10





Group: Members
Posts: 38
Joined: 18-February 06
From: Bridge Creek, OK
Member No.: 27852



Dropped back to DFX 9.101 for Winamp and problem solved!

c32


--------------------
http://www.thinkgeek.com/brain/gimme.cgi?wid=81d303534
Go to the top of the page
+Quote Post
ph3nomena
post Nov 17 2009, 11:23
Post #11





Group: Members
Posts: 7
Joined: 9-August 09
Member No.: 72156



great stuff, been looking for this, and it doesn't crash - good job!
Go to the top of the page
+Quote Post
Sylph
post Dec 11 2009, 20:27
Post #12





Group: Members
Posts: 259
Joined: 1-February 08
Member No.: 50965



Will this be updated given that it causes crashes?
Go to the top of the page
+Quote Post
bsw11
post Jan 18 2010, 22:00
Post #13





Group: Members
Posts: 128
Joined: 19-April 09
From: Los Angeles CA
Member No.: 69081



I am using this plugin with the Izotope Ozone DSP for winamp. For whatever reason the GUI interface becomes unresponsive sometimes right away and sometimes later on. The sound gets processed ok, just the user interface sort of disappears.

You can get a trail on the Izotope web site to test. This plugin kicks the ass of all the others big time so it would really be nice if it worked ok.

Also when switching it in and out under FB2k 1.0 it crashes almost all the time. Did not do this under 9.6 as much.

Further using kmplayer this plugin works just fine, so there must be a way to make it work.

Thanks!
Go to the top of the page
+Quote Post
2E7AH
post Jan 19 2010, 00:56
Post #14





Group: Validating
Posts: 2424
Joined: 21-May 08
Member No.: 53675



I would say that it's just opposite: From foobar 1 betas there are less crashes when using the plugin and switching among different winamp DSP plugins while playback is active. The best way would be to stop playback then change winamp DSPs

Also you can try winamp vst host through it and run Ozone as vst
Go to the top of the page
+Quote Post
bsw11
post Jan 20 2010, 10:08
Post #15





Group: Members
Posts: 128
Joined: 19-April 09
From: Los Angeles CA
Member No.: 69081



Could you give me more details on using a VST? Do I need to download anything? Will Ozone MP connect as a VST?

Thanks!

Sometimes is I pause the playback and disable enable Ozone it comes up broken. Its must be some kind of timing issue.

Is the developer available to deal with this?
Go to the top of the page
+Quote Post
2E7AH
post Jan 20 2010, 10:25
Post #16





Group: Validating
Posts: 2424
Joined: 21-May 08
Member No.: 53675



try searching for VST host in winamp dsp plugins, install it and use it through this bride
Go to the top of the page
+Quote Post
Sylph
post Jan 24 2010, 19:51
Post #17





Group: Members
Posts: 259
Joined: 1-February 08
Member No.: 50965



A new version, for foo 1.0:

http://pelit.koillismaa.fi/plugins/show.php?id=149

Does it crash for you?
Go to the top of the page
+Quote Post
stefle
post Aug 30 2010, 00:51
Post #18





Group: Members
Posts: 19
Joined: 6-January 10
Member No.: 76739



Is it possible to run several instances of foo_dsp_winamp, each addressing its own Winamp plugin? I tried to make some DSP Presets in foobar2000, but each instance of foo_dsp_winamp uses the last set plugin path.

Is this a limitation or do I something wrong?
Go to the top of the page
+Quote Post
Millibillionth
post Mar 19 2011, 04:43
Post #19





Group: Members
Posts: 1
Joined: 19-March 11
Member No.: 89119



Both the pelit.koillismaa.fi and fb2k.org links seem to be down, would somebody have a copy of the latest version they could make available on another host?
Go to the top of the page
+Quote Post
cappuccino117
post Mar 26 2011, 16:22
Post #20





Group: Members
Posts: 1
Joined: 26-March 11
Member No.: 89322



yes,thats right,i can not even find the lastest Winamp DSP bridge

does anybody have the version of 1.4.7?

Need help!!
Go to the top of the page
+Quote Post
Yegor
post Mar 27 2011, 12:45
Post #21





Group: Developer
Posts: 251
Joined: 8-April 09
From: Russia, Zlatoust
Member No.: 68779



Yes, I do: Attached File  foo_dsp_winamp_1_4_7.zip ( 62.51K ) Number of downloads: 5214
Go to the top of the page
+Quote Post
markanini
post Apr 24 2012, 05:24
Post #22





Group: Members
Posts: 550
Joined: 22-December 03
From: Malmö, Sweden
Member No.: 10615



This plugin is doing something unwanted to the audio before it reaches the DSP, the effect is similar to having a poor resampler in the signal chain. This happens whenever the input is a multiple of 48k or 44.1k. I confirmed this with two DSPs that have a bypass button, 'Stereo Tool' and 'Tape Restore Live'. RMAA results here
Go to the top of the page
+Quote Post
lvqcl
post Apr 24 2012, 16:45
Post #23





Group: Developer
Posts: 3389
Joined: 2-December 07
Member No.: 49183



This effect looks more like "Hard -6dB limiter", actually. Make sure that input signal's amplitude <= 0.5 (aka -6.02 dB FS) and the results will be much better.

This post has been edited by lvqcl: Apr 24 2012, 18:54
Go to the top of the page
+Quote Post
markanini
post Apr 24 2012, 21:18
Post #24





Group: Members
Posts: 550
Joined: 22-December 03
From: Malmö, Sweden
Member No.: 10615



That did the trick, Thanks lvqcl!
Go to the top of the page
+Quote Post
lvqcl
post Apr 25 2012, 15:17
Post #25





Group: Developer
Posts: 3389
Joined: 2-December 07
Member No.: 49183



(OTOH, it is possible to write a DSP plugin that will cancel this limiter...)
Go to the top of the page
+Quote Post

2 Pages V   1 2 >
Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 24th September 2014 - 04:18